#!/bin/sh

mkdir -p deploy/love

# make sure we have löve
cd deploy/love
if [ ! -e love-0.8.0-win-x86.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-win-x86.zip
    unzip love-0.8.0-win-x86.zip || exit 1
fi
if [ ! -e love-0.8.0-macosx-ub.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-macosx-ub.zip
    unzip love-0.8.0-macosx-ub.zip || exit 1
fi
cd ../..

# make the love file
V=`bzr version-info --custom --template={revno}`
echo "VERSION = '$V'" >version.lua
rm -f deploy/traderous.love
bzr ls -RV |zip -q@ deploy/traderous.love --exclude \*.xcf
bzr revert --no-backup version.lua

cd deploy

# package win32
rm -rf traderous-win32 traderous-win32.zip
mkdir traderous-win32
cat love/love-0.8.0-win-x86/love.exe traderous.love >traderous-win32/traderous.exe
cp love/love-0.8.0-win-x86/*.dll traderous-win32
# TODO: this is a spot I could copy a README, LICENSE, or VERSION file in.
zip -qr traderous-win32.zip traderous-win32

# package osx
rm -rf traderous.app traderous-macosx.zip
cp -r love/love.app traderous.app
cp traderous.love traderous.app/Contents/Resources/
cp ../Info.plist traderous.app/Contents/
zip -qry traderous-macosx.zip traderous.app

cd ..
